Skip to content
POST/{organizationId}/{mandateId}/crm/contacts/exportContactsCelebrations

Export contacts celebrations

Exports a list of contacts for the mandate that are celebrating events like birthdays, anniversaries, leaving or joining the membership

Required permissions:

  • mandate.read

Permissions depending on contact type:

  • contact:member

  • contact:address

  • contact:customer

  • contact:sponsor

  • contact:contributor

  • contact:employee

  • contact:supplier

Path Parameters

organizationIdstringrequired
mandateIdstringrequired

Request Body required

Content-Type: application/json

searchTermstringoptional

minItems: 1

minItems: 1

durationintegeroptional

minimum: 1

maximum: 9007199254740991

fromDatedate-timeoptional
toDatedate-timeoptional
baseDatedate-timeoptional

Authentication: X-API-Key

Request

POST/{organizationId}/{mandateId}/crm/contacts/exportContactsCelebrations
curl --request POST 'https://cloud.campai.com/api/{organizationId}/{mandateId}/crm/contacts/exportContactsCelebrations' \
  --header 'X-API-Key: YOUR_API_KEY' \
  --header 'Content-Type: application/json' \
  --data '{
  "celebrationTypes": [
    "birthday"
  ]
}'

Responses

This endpoint returns different response codes based on the request outcome.

200Successful response

Content-Type: application/json

Response

200
{
  "state": "empty"
}

400Invalid input data

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

400
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}

401Authorization not provided

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

401
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}

403Insufficient access

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

403
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}

500Internal server error

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

500
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}